VST 3 Interfaces VST 3.7 SDK for developing VST plug-in

- Main Page
- Modules
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Macros Groups Pages
Classes | Namespaces | Macros
itest.h File Reference
`#include "pluginterfaces/base/funknown.h"`

## Classes
class | ITest
    ------------------------------------------------------------------------
ITest interface declaration More...
class | ITestResult
    Test Result message logger
[host imp] when a test is called, a pointer to an ITestResult is passed in, so the test class can output error messages More...
class | ITestSuite
    A collection of tests supporting a hierarchical ordering
[host imp] [create via hostclasses] More...
class | ITestFactory
    Class factory that any testable module defines for creating tests
that will be executed from the host More...

## Namespaces
namespace | Steinberg

## Macros
#define | kTestClass "Test Class"
| A class for automated tests.

## Macro Definition Documentation

#define kTestClass "Test Class"

A class for automated tests.

Empty

Copyright ©2024 Steinberg Media Technologies GmbH. All Rights Reserved. This documentation is under this license.